<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Language\Text;

if (!$list)
{
	return;
}

?>

<div class="blog-home2 py-5">
	
	<div class="container">

		<div class="row mt-4">
		
			<?php foreach ($list as $item) : ?>
			
			<div class="col-md-4 on-hover">
			
				<div class="card border-0 mb-4">
					
					<!-- intro image -->
					<?php
						$article_images  = json_decode($item->images);
						$article_image   = '';
						$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
							$article_image  = $article_images->image_intro;
							$article_image_alt  = $article_images->image_intro_alt;
					}?> 
					<a href="<?php echo $item->link; ?>">
						<img class="card-img-top" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
					</a>
					
					<?php $item->urls = new JRegistry($item->urls); ?>
					<!-- urlatext -->
					<div class="date-pos bg-info-gradiant p-2 d-inline-block text-center rounded text-white position-absolute"><?php echo $item->urls->get('urlatext'); ?>
					<!--urlbtext -->	
					<span class="d-block"><?php echo $item->urls->get('urlbtext'); ?></span></div>
					
                  <div class="card-body">
					<!-- article title -->
					<h4 class="font-weight-medium mt-3">
						<a class="text-decoration-none link <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
					</h4>
					
					<!-- introtext -->
					<p class="mod-articles-category-introtext mt-3">
						<?php echo $item->displayIntrotext; ?>
					</p>
					
					<!-- article link -->
					<a href="<?php echo $item->link; ?>" class="text-decoration-none linking text-themecolor mt-2">Learn More</a>
                  </div>
				</div>
				
			</div>
			
			<?php endforeach; ?>
			
		</div>
		
	</div>
	
</div>